

var datosCard;
var html;
var activar_audio = false;

  
function alCargarDocumento(){
	setInterval(mostrarHora,1000);
	setInterval(cargarDatos,1000);
}

function cargarDatos(){
	$.ajax({
	    url: "controlador_v.php",
	    type: 'POST',
	    data: {transaccion:"datosTarjeta"},
	    dataType:"json",
	    success: function(data) {
	        datosCard = data;
			//console.log(data);
	        console.log("Datos tarjeta "+datosCard[7]);
	        
			if(datosCard[7] != 0){
				mostrarValidacion();
				return;
			}else{
				activar_audio = false;
				html = "<div style='color:green;'>PASE SU TARJETA</div></div>";
				$("#resultado").html(html);
			}
		}
	});
}
   

function mostrarHora(){
	$.ajax({
	    url: "controlador_v.php",
	    type: 'POST',
	    data: {transaccion:"mostrarHora"},	    
	    success: function(data) {
	        //console.log(data);
			var resultadoGps = data.split("+");
			$("#hora").html(resultadoGps[3]);
	   	}
	});
}


function mostrarValidacion(){
	if(datosCard[7] == 1){
        html = "<div>"+datosCard[0]+" "+datosCard[1]+"<br>";
        html += "<br>";
        html += "<div style='color:green;'>VALIDACION EXITOSA</div></div>";

        if(!activar_audio){
        	var audio =document.createElement("audio");
    		audio.src = "audio/Tarjeta_confirmada.wav";
    		audio.play();
    		activar_audio = true;
    		$("#resultado").html(html);
        }
    }
    if(datosCard[7] == 2){
        html = "<div>"+datosCard[0]+" "+datosCard[1]+"<br>";
        html += "<br>";
        html += "<h2 style='color:red;'>SALDO INSUFICIENTE</h2></div>";

        if(!activar_audio){			
        	var audio =document.createElement("audio");
    		audio.src = "audio/Saldo_insuficiente.wav";
    		audio.play();
    		activar_audio = true;
    		$("#resultado").html(html);
        }
    }
}

//Eventos
window.addEventListener("load",alCargarDocumento);